### Class

# Devhelp BookListDirectory

#### Description

    class Devhelp.BookListDirectory : Devhelp.BookList
    {
      DhBookListDirectoryPrivate* priv
    }

No description available.

#### Ancestors

- DhBookList
- GObject

#### Constructors

###### dh_book_list_directory_new

Returns a `DhBookListDirectory` for `directory`.

since: 3.30

#### Instance methods

###### dh_book_list_directory_get_directory

No description available.

since: 3.30

##### Methods inherited from DhBookList (3)

###### dh_book_list_add_book

Emits the `DhBookList::add-book` signal.

since: 3.30

###### dh_book_list_get_books

Gets the list of `DhBook`‘s part of `book_list`, in no particular order. Each book ID in the list is unique (see dh_book_get_id()).

since: 3.30

###### dh_book_list_remove_book

Emits the `DhBookList::remove-book` signal.

since: 3.30

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Devhelp.BookListDirectory:directory

The directory, as a `GFile`, containing a set of Devhelp books.

since: 3.30

#### Signals

##### Signals inherited from DhBookList (2)

###### DhBookList::add-book

The ::add-book signal is emitted when a `DhBook` is added to a `DhBookList`.

since: 3.30

###### DhBookList::remove-book

The ::remove-book signal is emitted when a `DhBook` is removed from a `DhBookList`.

since: 3.30

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct DevhelpBookListDirectoryClass {
      DhBookListClass parent_class;
      gpointer padding;

    }

No description available.

###### Class members

`parent_class: DhBookListClass`

  No description available.

`padding: gpointer`

  No description available.